#
# spec file for package python-dropbox
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dropbox
Version:        9.5.0
Release:        bp153.1.17
Summary:        Official Dropbox API Client
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/dropbox/dropbox-sdk-python
Source:         https://files.pythonhosted.org/packages/source/d/dropbox/dropbox-%{version}.tar.gz
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests >= 2.16.2}
BuildRequires:  %{python_module six >= 1.3.0}
# /SECTION
BuildRequires:  fdupes
Requires:       python-requests >= 2.16.2
Requires:       python-six >= 1.3.0
BuildArch:      noarch

%python_subpackages

%description
Official Dropbox API Client

%prep
%setup -q -n dropbox-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tests require an access token

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Fri Apr  3 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 9.5.0
  * Add optional lockholder_account_id to FileLockMetadata struct
  * Add optional invalid_argument to SearchError union
  * Add get_thumbnail:2 route
  * Add add_creator_as_owner to GroupCreateArg struct
  * Add exporting to LegalHoldStatus union
  * Add MembersInfo struct
  * Add team_invite_details to ActionDetails union
  * Add optional indicators to JoinTeamDetails struct
  * Add optional shared_content_link to SharedLinkSettings* structs
  * Add many functionalities to EventType and EventDetails unions
  * Add InviteMethod union
  * Add LockStatus union
  * Add RewindPolicy union
  * Add FileLockingValue union
* Fri Jul 26 2019 pgajdos@suse.com
- version update to 9.4.0
  * auth Namespace:
    Added missing_scope into AuthError.
  * file_requests namespace:
    Added list and list/continue endpoints.
    Added count endpoint.
    Added delete and delete_all_closed endpoints.
  * files namespace:
    Added unsupported_file to DownloadError.
    Added upper bound 9999 to start field in SearchArg.
    Added unsupported_content_type to LookupError.
    Added cant_move_shared_folder to RelocationError.
    Added email_not_verified and unsupported_file to GetTemporaryLinkError.
    Added ExportInfo struct.
    Added fields (is_downloadable, export_info) to FileMetadata.
    Added include_non_downloadable_files to ListFolderArg.
    Added ExportMetadata, ExportArg, Export Result Structs.
    Added ExportError union.
    Added /export route.
  * seen_state namespace:
    Added mobile_ios, mobile_android and api into PlatformType.
    Deprecated mobile in PlatformType.
  * sharing namespace:
    Updated shared_link_already_exists under CreateSharedLinkWithSettingsError from void to SharedLinkAlreadyExistsMetadata.
    Updated docstrings for LinkPermissions
    Added banned_member to AddFolderMemberError.
    Added password field to LinkAudience.
    Added effective_audience and link_access_level fields to LinkPermissions struct.
    Added audience and access fields to SharedLinkSettings struct.
    Added LinkAccessLevel and RequestedLinkAccessLevel union.
    Added create_view_link and create_edit_link fields to FileAction union.
  * team namespace:
    Added profile_photo_url and suspended_on into MemberProfile.
  * team_log namespace:
    Added various new types.
  * team_policies namespace:
    Added TwoStepVerificationState union.
  * team_reports namespace:
    Added TemporaryFailureReason union.
* Sat Feb 16 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v9.3.0
